<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования ip-адреса.
 * 
 * Файл: /admin/ip/action/add_ip.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$ip = new ip();

$fields['ip_id'] = to_int($_REQUEST['ip_id']);

$fields['ip_ip'] = to_str($_REQUEST['ip_ip']);

if (isset($_REQUEST['ip_deny_access']))
{
	$fields['ip_deny_access'] = 1;
}
else
{
	$fields['ip_deny_access'] = 0;
}

if (isset($_REQUEST['ip_no_statistic']))
{
	$fields['ip_no_statistic'] = 1;
}
else
{
	$fields['ip_no_statistic'] = 0;
}

$fields['ip_comment'] = to_str($_REQUEST['ip_comment']);

if ($insert_ip_id = $ip->InsertIp($fields))
{
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddIP', 'ip_id', '<?php echo $insert_ip_id?>');
	</script><?php

	// Сообщение об успешном изменении информации об ip-адресе
	if ($fields['ip_id'] != 0)
	{
		show_message($GLOBALS['MSG_ip']['ip_edit_ip_success_message']);
	}
	else // Сообщение об успешном добавлении ip-адреса
	{
		show_message($GLOBALS['MSG_ip']['ip_add_ip_success_message']);
	}
}
else
{
	show_error_message($GLOBALS['MSG_ip']['ip_add_ip_error_message']);
}
?>